Package com.orbbec.obsensor

## Enum Format

- java.lang.Object
- - java.lang.Enum<Format>
  - - com.orbbec.obsensor.Format

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Format>`

    public enum Format
    extends java.lang.Enum<Format>

Enumeration value describing pixel format

### Enum Constant Summary

Enum Constants
`ACCEL` Accelerometer data format
`BGR` BGR format (actual BRG888)
`BGRA` BGRA format
`COMPRESSED` Compression format
`GRAY` GRAY (the actual format is the same as YUYV)
`GYRO` Gyroscope data format
`H264` H.264 encoding format
`H265` H.265 encoding format
`HEVC` HEVC encoding format (the actual format is the same as H265)
`I420` I420 format
`MJPG` MJPG encoding format
`NV12` NV12 format
`NV21` NV21 format
`POINT` xyz 3D coordinate point format
`RGB_POINT` xyz 3D coordinate point format with RGB information
`RGB888` RGB888 format
`RLE` RLE pressure test format (SDK will be unpacked into Y16 by default)
`RVL` RVL pressure test format (SDK will be unpacked into Y16 by default)
`UNKNOWN` unknown format
`UYVY` UYVY format
`Y10` Y10 format, single channel 10bit depth (SDK will unpack into Y16 by default)
`Y11` Y11 format, single channel 11bit depth (SDK will unpack into Y16 by default)
`Y12` Y12 format, single channel 12bit depth (SDK will unpack into Y16 by default)
`Y14` Y14 format, single channel 14bit depth (SDK will unpack into Y16 by default)
`Y16` Y16 format, single channel 16bit depth
`Y8` Y8 format, single channel 8bit depth
`YUY2` YUY2 format (the actual format is the same as YUYV)
`YUYV` YUYV format

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Format` `get​(int value)` Get the data stream format corresponding to the specified index
`int` `value()` Get the index corresponding to the data stream format
`static Format` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Format[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YUYV

    public static final Format YUYV

YUYV format

#### YUY2

    public static final Format YUY2

YUY2 format (the actual format is the same as YUYV)

#### UYVY

    public static final Format UYVY

UYVY format

#### NV12

    public static final Format NV12

NV12 format

#### NV21

    public static final Format NV21

NV21 format

#### MJPG

    public static final Format MJPG

MJPG encoding format

#### H264

    public static final Format H264

H.264 encoding format

#### H265

    public static final Format H265

H.265 encoding format

#### Y16

    public static final Format Y16

Y16 format, single channel 16bit depth

#### Y8

    public static final Format Y8

Y8 format, single channel 8bit depth

#### Y10

    public static final Format Y10

Y10 format, single channel 10bit depth (SDK will unpack into Y16 by default)

#### Y11

    public static final Format Y11

Y11 format, single channel 11bit depth (SDK will unpack into Y16 by default)

#### Y12

    public static final Format Y12

Y12 format, single channel 12bit depth (SDK will unpack into Y16 by default)

#### GRAY

    public static final Format GRAY

GRAY (the actual format is the same as YUYV)

#### HEVC

    public static final Format HEVC

HEVC encoding format (the actual format is the same as H265)

#### I420

    public static final Format I420

I420 format

#### ACCEL

    public static final Format ACCEL

Accelerometer data format

#### GYRO

    public static final Format GYRO

Gyroscope data format

#### POINT

    public static final Format POINT

xyz 3D coordinate point format

#### RGB_POINT

    public static final Format RGB_POINT

xyz 3D coordinate point format with RGB information

#### RLE

    public static final Format RLE

RLE pressure test format (SDK will be unpacked into Y16 by default)

#### RGB888

    public static final Format RGB888

RGB888 format

#### BGR

    public static final Format BGR

BGR format (actual BRG888)

#### Y14

    public static final Format Y14

Y14 format, single channel 14bit depth (SDK will unpack into Y16 by default)

#### BGRA

    public static final Format BGRA

BGRA format

#### COMPRESSED

    public static final Format COMPRESSED

Compression format

#### RVL

    public static final Format RVL

RVL pressure test format (SDK will be unpacked into Y16 by default)

#### UNKNOWN

    public static final Format UNKNOWN

unknown format

### Method Detail

#### values

    public static Format[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Format c : Format.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Format valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the data stream format

Returns:
  index value \endif

#### get

    public static Format get​(int value)

Get the data stream format corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data stream format